iNumbering Provisioning API (v2.1.6)

Download OpenAPI specification:Download

iNumbering Provisioning

iNumbering

Carrier number-inventory operations.

Add Messaging Brand

Adds a new brand for number provisioning messaging.

Authorizations:
apikey
Request Body schema: application/json

Messaging Brand Details

apikey
required
string
messagingBrandDescription
required
string
messagingBrandName
required
string
messagingBrandId
required
string

Responses

Request samples

Content type
application/json
{
  • "apikey": "Your API Key",
  • "messagingBrandDescription": "Brand Description",
  • "messagingBrandName": "Brand Name",
  • "messagingBrandId": "B12345"
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "statusCode": "200"
}

Add Messaging Campaign

Adds a new campaign for a specific messaging brand. campaignClassName and campaignStartDate are set automatically; callers do not need to provide those fields.

Authorizations:
apikey
Request Body schema: application/json

Messaging Campaign Details

apikey
required
string
externalCampaignId
required
string
campaignDescription
required
string
messagingBrandId
required
string

Responses

Request samples

Content type
application/json
{
  • "apikey": "Your API Key",
  • "externalCampaignId": "C123456",
  • "campaignDescription": "Campaign Description",
  • "messagingBrandId": "B123456"
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "statusCode": "200"
}

Search Numbers

Optional Filters: Select one or several of (lata,rateCenter,province).

Authorizations:
apikey
Request Body schema: application/json

/v2/iNumbering/tnInventory/

rateCenter
string
quantity
required
integer
apikey
required
string
lata
integer
tnMask
required
string
province
string

Responses

Request samples

Content type
application/json
{
  • "rateCenter": "HACKENSACK",
  • "quantity": 1000,
  • "apikey": "Your API Key",
  • "lata": 224,
  • "tnMask": "201xxxxxxx",
  • "province": "NJ"
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "tnResult": [ ],
  • "statusCode": "200"
}

Search Number Coverage

Optional countBy: Select one of (state,rateCenter,npaNxx,block) default is (npaNxx). Optional Filters: Select one of (npa,lata,rcAbbre,locState). Results are filtered to items matching the submitted filter field.

Authorizations:
apikey
Request Body schema: application/json

/v2/iNumbering/tnInventoryCoverage/

countBy
string
npa
string
locState
string
apikey
required
string
rcAbbre
string
lata
string

Responses

Request samples

Content type
application/json
{
  • "countBy": "npaNxx",
  • "npa": "201",
  • "locState": "NJ",
  • "apikey": "Your API Key",
  • "rcAbbre": "HACKENSACK",
  • "lata": "224"
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "tnInventoryCoverageList": [ ],
  • "statusCode": "200"
}

Add Messaging Campaign to TNs

Assigns a campaign to a list of telephone numbers for messaging. Each tn must be 10 digits and each tnFeature.messaging.tnCampaign must be a 7-character string starting with "C". customerOrderReference is auto-set if omitted.

Authorizations:
apikey
Request Body schema: application/json

TN Messaging Campaign Details

apikey
required
string
required
object

Responses

Request samples

Content type
application/json
{
  • "apikey": "Your API Key",
  • "tnCampaign": {
    }
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "orderId": 12345678,
  • "statusCode": "200"
}

Order Numbers

Order numbers and optionally route numbers. Route can be obtained from Gateways list API.

Authorizations:
apikey
Request Body schema: application/json

/v2/iNumbering/tnOrder/

apikey
required
string
required
object (tnOrder_tnOrder)

Tn order tn order shape.

Responses

Request samples

Content type
application/json
{
  • "apikey": "Your API Key",
  • "tnOrder": {
    }
}

Response samples

Content type
application/json
{
  • "status": "Success",
  • "orderId": "1717171717",
  • "statusCode": "200"
}